View Issue Details

IDProjectCategoryView StatusLast Update
0005737Talertwisterpublic2019-06-07 12:00
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version 
Summary0005737: twister should support chaos setting
DescriptionThis chaos setting (maybe specified in the config file) should allow to configure a chaos_probability between 0% and 100%.

For every request, with probability chaos_probability we do not send the actual response back, but instead a plain "service unavailable" response.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-05-30 14:28

manager   ~0014461

You mean literally a "503 Service Unavailable" with empty/garbage response body?

Florian Dold

2019-05-30 21:51

manager   ~0014468

Yes!

Marcello Stanisci

2019-06-01 14:46

manager   ~0014477

The chaos mode should NOT be used on 'demo' deployments; only 'test'.

Marcello Stanisci

2019-06-05 17:01

manager   ~0014506

The chaos option was added here: bcb0c70..f66eb72. There is also a shell script "test_chaos.sh" under test/ that tells the user how many rounds it needed to hit a 5% "chaos" probability.

Marcello Stanisci

2019-06-06 17:49

manager   ~0014513

0095cd3 adds the unix domain socket serving facility (prepping for 'test' deployment).

NOTE: removing the ".sock" file needs to be done!

Marcello Stanisci

2019-06-07 11:57

manager   ~0014516

Actually, none of the other services remove the ".sock" file, so we'll keep things simple and not do for Twister neither.

Marcello Stanisci

2019-06-07 12:00

manager   ~0014517

The chaos option is implemented (see notes above). Deployment on Gv is in progress.

Issue History

Date Modified Username Field Change
2019-05-29 14:53 Florian Dold New Issue
2019-05-29 14:53 Florian Dold Status new => assigned
2019-05-29 14:53 Florian Dold Assigned To => Marcello Stanisci
2019-05-30 14:28 Marcello Stanisci Note Added: 0014461
2019-05-30 21:51 Florian Dold Note Added: 0014468
2019-06-01 14:46 Marcello Stanisci Note Added: 0014477
2019-06-05 17:01 Marcello Stanisci Note Added: 0014506
2019-06-06 17:49 Marcello Stanisci Note Added: 0014513
2019-06-07 11:57 Marcello Stanisci Note Added: 0014516
2019-06-07 12:00 Marcello Stanisci Status assigned => resolved
2019-06-07 12:00 Marcello Stanisci Resolution open => fixed
2019-06-07 12:00 Marcello Stanisci Note Added: 0014517